# Uses of Enum
org.apache.commons.math3.util.ResizableDoubleArray.ExpansionMode

Packages that use ResizableDoubleArray.ExpansionMode
Package
Description
org.apache.commons.math3.util
Convenience routines and common data structures used throughout the commons-math library.

## Uses of ResizableDoubleArray.ExpansionMode in org.apache.commons.math3.util

Methods in org.apache.commons.math3.util that return ResizableDoubleArray.ExpansionMode
Modifier and Type
Method
Description
`static ResizableDoubleArray.ExpansionMode`
ResizableDoubleArray.ExpansionMode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ResizableDoubleArray.ExpansionMode[]`
ResizableDoubleArray.ExpansionMode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.commons.math3.util with parameters of type ResizableDoubleArray.ExpansionMode
Modifier and Type
Method
Description
`void`
ResizableDoubleArray.`setExpansionMode(ResizableDoubleArray.ExpansionMode expansionMode)`
Deprecated.
As of 3.1 (to be removed in 4.0 as field will become "final").
Constructors in org.apache.commons.math3.util with parameters of type ResizableDoubleArray.ExpansionMode
Modifier
Constructor
Description
``
`ResizableDoubleArray(int initialCapacity, double expansionFactor, double contractionCriterion, ResizableDoubleArray.ExpansionMode expansionMode, double... data)`
Creates an instance with the specified properties.